import gtk

class NMRFriend_Statusbar(gtk.Statusbar):
  def __init__(self):
    # Call ancestor __init__
    gtk.Statusbar.__init__(self)
    
    # Variables initialization
    self.cur_context_id=None
    self.cur_message_id=None
  
  def set_status(self, message):
    if self.cur_message_id is not None:
      self.remove_status()
    
    self.cur_context_id=self.get_context_id(message)
    self.cur_message_id=self.push(self.cur_context_id,message)
  
  def remove_status(self):
    if self.cur_message_id is not None:
      self.pop(self.cur_message_id)
    
    self.cur_message_id=self.cur_message_id=None