# -*- coding: utf-8 -*-
import sys, os

all = ["About.py",
       "Commands.py",
       "Constants.py",
       "Menu.py",
       "NmrDisplay.py",
       "NmrFriend.py",
       "NmrGraph.py",
       "NmrImport.py",
       "NmrSpectrum.py",
       "NmrToolbar.py",
       "Options.py",
       "Statusbar.py"
       ]

# Path to Image dir
PixmapDir=os.path.join(os.path.dirname(__file__),"Images")

from Constants import *

from Toolbox import GtkExceptHook
from Toolbox import Util
from Toolbox import GtkUtil

import Commands
import About
import Menu
import NmrFriend
import NmrDisplay
import NmrGraph
import NmrImport
import NmrSpectrum
import NmrToolbar
import Options
import Statusbar

# Load main application
main_app = None
def load_main_app():
    global main_app
    main_app = NmrFriend.NMR_Friend()

def set_loaded(Flag = True):
    # Set Loaded flag
    GtkExceptHook.App_loaded = Flag

# Active object (spectrum)
_active_object = None