#!/usr/bin/python
import sys,os
from distutils.core import setup
from distutils.extension import Extension

from Pyrex.Distutils import build_ext


if len(sys.argv) == 1: 
    script_args = ["build_ext","--inplace"]
else:
    script_args = sys.argv[1:]

modules = (
           ("NMRFriend.Toolbox.Depaker",[os.path.join("NMRFriend","Toolbox","Depaker.pyx")]),
           )

for module_name, module_files in modules:
    print "\nCompiling %s module..."%module_name
    
    setup(
      name = module_name,
      ext_modules=[ 
        Extension(module_name, module_files)
        ],
      cmdclass = {'build_ext': build_ext},
      script_args = script_args
    )
    

print "DONE!"
